## org.apache.lucene.index
Class CheckIndex.Status.FieldNormStatus

    java.lang.Object
      org.apache.lucene.index.CheckIndex.Status.FieldNormStatus

Enclosing class:
  CheckIndex.Status

    public static final class CheckIndex.Status.FieldNormStatus

extends java.lang.Object

Status from testing field norms.

Field Summary
`java.lang.Throwable` `error` Exception thrown during term index test (null on success)
`long` `totFields` Number of fields successfully tested

Constructor Summary
`CheckIndex.Status.FieldNormStatus()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### totFields

    public long totFields

  Number of fields successfully tested

### error

    public java.lang.Throwable error

  Exception thrown during term index test (null on success)

Constructor Detail

### CheckIndex.Status.FieldNormStatus

    public CheckIndex.Status.FieldNormStatus()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.